import { Img, TopImg, TopSlider, TopVideo, Text, GhButton, WxAutoButton, Floatbutton } from "../../req"

// 头部内容
export const topsliderContent: TopSlider = {
    elementType: 'TOP_SLIDER',
    imageUrlList: ["", "", ""],
    width: 800,
    height: 800,
    activeIndex: 0
}

export const topimgContent: TopImg = {
    elementType: 'TOP_IMAGE',
    imageUrl: '',
    width: 800,
    height: 800,
    adLocation: 'sns',
    outerStyle: 0
}

export const topvideoNewContent: TopVideo = {
    elementType: 'TOP_VIDEO',
    videoUrl: '',
    width: 640,
    height: 360,
    adLocation: 'sns',
    outerStyle: 0
}

// 悬浮组件
export const floatbuttonContent: Floatbutton = {
    elementType: 'FLOAT_BUTTON',
    titleColor: "#171717",
    descColor: "#4c4c4c",
    title: "",
    desc: "",
    styleType: 0,
    imageUrl: '',
    appearType: 0,
    disappearType: 0,
    componentItem: {
        elementType: 'GH',
        btnTitle: '关注公众号',
        fontColor: '#FFFFFF',
        btnBgColorTheme: '#07C160',
        btnFontType: 0,
        fastFollow: 1,
    }
}


// 悬浮组件 添加商家微信
export const floatbuttonBtTypeWxAuto: Omit<WxAutoButton, 'btnBorderColorTheme' | 'useIcon' | 'paddingTop' | 'paddingBottom'> = {
    elementType: 'ENTERPRISE_WX',
    btnBgColorTheme: "#07C160",
    btnFontType: 0,
    btnTitle: "联系商家",
    fontColor: "#FFFFFF",
}
export const floatbuttonBtTypeGh: Omit<GhButton, 'btnBorderColorTheme' | 'useIcon' | 'paddingTop' | 'paddingBottom'> = {
    elementType: 'GH',
    btnTitle: '关注公众号',
    fontColor: '#FFFFFF',
    btnBgColorTheme: '#07C160',
    btnFontType: 0,
    fastFollow: 1,
}

export const topvideoContent = {
    id: 'widget_1625551322566_1',
    widgetTypeV2: 'topvideo',
    widgetType: 'top',
    name: "顶部视频",
    type: '61',
    viewType: '0',
    styleType: '0',
    initWidth: 750,
    initHeight: 750,
    paddingTop: 0,
    paddingBottom: 0,
    paddingLeft: 0,
    paddingRight: 0,
    sightDisplayWidth: 0,
    sightDisplayHeight: 0,
    sightThumbUrl: '',
    sightVideoUrl: '',
    sightDisplayType: '0',
    sightThumbMd5: '',
    sightVideoMd5: '',
    isFullScreen: '0',
    videoDuration: '',
    BitRate: 0,
    video_name: 'topVideo',
    video_type: 'mp4',
    adLocation: 'sns',
    fileSize: 0,
    materialId: ''
}

// 内容
export const imgContent: Img = {
    elementType: 'IMAGE',
    imageUrl: '',
    width: 750,
    height: 750,
    paddingTop: 0,
    paddingBottom: 0,
}

export const txtContent: Text = {
    elementType: 'TEXT',
    text: '',
    fontStyle: 0,
    textAlignment: 0,
    fontSize: 20,
    fontColor: '#595959',
    paddingTop: 22,
    paddingBottom: 22,
}

export const ghContent: GhButton = {
    elementType: 'GH',
    btnTitle: '关注公众号',
    fontColor: '#FFFFFF',
    btnBgColorTheme: '#07C160',
    btnBorderColorTheme: '#FFFFFF',
    btnFontType: 0,
    useIcon: 0,
    fastFollow: 1,
    paddingTop: 28,
    paddingBottom: 28,
}

export const linkContent = {
    widgetTypeV2: "link",
    widgetType: "button",
    type: "21",
    name: "跳转链接",
    btnTitle: "了解详情",
    subType: "0",
    fontSize: "30",
    fontColor: "#FFFFFF",
    btnType: "0",
    borderSize: "0",
    btnHeight: "80",
    btnBgColorTheme: "#07C160",
    btnBorderColorTheme: "#FFFFFF",
    btnFontType: "0",
    btnStyle: "1",
    paddingTop: 28,
    paddingBottom: 28,
    paddingRight: 185,
    paddingLeft: 185,
    cornerRadius: 4,
    useIcon: "0",
    id: "widget_1632641482474_3",
    mpJumpType: "1",
    origBtnJumpUrl: "",
    btnJumpUrl: ""
}

// 添加商家微信
export const wxAutoContent: WxAutoButton = {
    elementType: 'ENTERPRISE_WX',
    btnBgColorTheme: "#07C160",
    btnBorderColorTheme: "#FFFFFF",
    btnFontType: 0,
    btnTitle: "联系商家",
    useIcon: 0,
    paddingTop: 28,
    paddingBottom: 28,
    fontColor: "#FFFFFF",
}

// 图文复合组件104
export const shelfnewContent = {
    widgetType: "shelfnew",
    widgetTypeV2: "shelfnew",
    name: "图文复合组件",
    type: "104",
    id: "widget_1638426338182_2",
    layoutHeight: "228",
    layoutWidth: "670",
    paddingTop: 20,
    paddingBottom: 20,
    paddingLeft: 40,
    paddingRight: 40,
    borderColor: "#e5e5e5",
    bgColor: "#ffffff",
    borderSize: 1,
    cornerRadius: 8,
    isChooseJump: 1,
    layoutItems: {
        componentItem: [
            {
                layoutHeight: "228",
                layoutWidth: "670",
                type: "103",
                subType: "1",
                jumpMode: "btn_jump",
                layoutItems: {
                    componentItem: [
                        {
                            name: "图片",
                            layoutHeight: "180",
                            layoutWidth: "180",
                            paddingTop: "24",
                            paddingLeft: "24",
                            pureImageUrl: "",  // 图片url
                            type: "41",
                            imageMd5: "",   // Md5
                            cornerRadius: "4",
                            materialId: '',
                            wxad_IsSubNode: "1"
                        },
                        {
                            layoutHeight: "228",
                            layoutWidth: "470",
                            paddingLeft: "24",
                            paddingTop: "24",
                            paddingRight: "40",
                            subType: "0",
                            type: "103",
                            descType: "text",
                            layoutItems: {
                                componentItem: [
                                    {
                                        name: "标题",
                                        content: "",  // 标题001
                                        fontColor: "#353535",
                                        fontSize: "32",
                                        layoutHeight: "44",
                                        layoutWidth: "410",
                                        maxLines: "1",
                                        showType: "1",
                                        type: "1",
                                        wxad_IsSubNode: "1"
                                    },
                                    {
                                        name: "描述",
                                        content: "",  // 文字描述001
                                        fontColor: "#b2b2b2",
                                        fontSize: "24",
                                        layoutHeight: "40",
                                        layoutWidth: "410",
                                        paddingTop: "8",
                                        type: "1",
                                        wxad_IsSubNode: "1"
                                    },
                                    {
                                        widgetTypeV2: "link",
                                        widgetType: "button",
                                        borderSize: "0",
                                        btnBgColorTheme: "#07C160",
                                        btnBorderColorTheme: "#FFFFFF",
                                        btnFontType: "0",
                                        btnHeight: "60",
                                        btnJumpUrl: "",
                                        btnStyle: "1",
                                        btnTitle: "了解详情",
                                        btnType: "0",
                                        fontColor: "#FFFFFF",
                                        fontSize: "26",
                                        name: "跳转链接",
                                        origBtnJumpUrl: "",
                                        layoutWidth: "152",
                                        layoutHeight: "60",
                                        paddingBottom: "0",
                                        paddingLeft: "0",
                                        paddingRight: "0",
                                        paddingTop: "28",
                                        subType: "0",
                                        mpJumpType: "1",
                                        type: "21",
                                        cornerRadius: "4"
                                    }
                                ]
                            },
                            wxad_IsSubNode: "1"
                        }
                    ]
                }
            }
        ]
    }
}

// 图文复合组件103
export const shelfnewContent2 = {
    widgetTypeV2: "shelfnew",
    widgetType: "shelfnew",
    name: "图文复合组件",
    type: "103",
    id: "widget_1638501500690_1",
    layoutHeight: "542",
    paddingLeft: "40",
    paddingTop: "20",
    paddingBottom: "20",
    subType: "1",
    isChooseJump: 1,
    wxad_align: 0,
    layoutItems: {
        componentItem: [
            {
                layoutHeight: "542",
                layoutWidth: "324",
                type: "104",
                borderColor: "#E5E5E5",
                bgColor: "#FFFFFF",
                borderSize: "1",
                cornerRadius: "8",
                layoutItems: {
                    componentItem: [{
                        jumpMode: "btn_jump",
                        layoutHeight: "542",
                        layoutWidth: "324",
                        type: "103",
                        subType: "0",
                        descType: "text",
                        layoutItems: {
                            componentItem: [{
                                name: "图片",
                                layoutHeight: "300",
                                pureImageUrl: "",
                                type: "41",
                                imageMd5: "",
                                layoutWidth: "300",
                                paddingLeft: "12",
                                paddingTop: "12",
                                cornerRadius: "4",
                                materialId: '',
                                wxad_IsSubNode: "1"
                            }, {
                                name: "标题",
                                content: "",
                                fontColor: "#353535",
                                fontSize: "32",
                                layoutHeight: "44",
                                layoutWidth: "272",
                                maxLines: "1",
                                paddingLeft: "24",
                                paddingTop: "16",
                                showType: "1",
                                type: "1",
                                wxad_IsSubNode: "1"
                            }, {
                                name: "描述",
                                content: "",
                                fontColor: "#4D4D4D",
                                fontSize: "24",
                                layoutHeight: "40",
                                layoutWidth: "272",
                                paddingTop: "8",
                                type: "1",
                                wxad_IsSubNode: "1",
                                paddingLeft: "24"
                            }, {
                                widgetTypeV2: "gh",
                                widgetType: "button",
                                type: "21",
                                name: "商品关注公众号",
                                btnTitle: "关注公众号",
                                subType: "17",
                                fontSize: "26",
                                fontColor: "#FFFFFF",
                                btnType: "0",
                                borderSize: "0",
                                btnHeight: "60",
                                btnBgColorTheme: "#07C160",
                                btnBorderColorTheme: "#FFFFFF",
                                btnFontType: "0",
                                btnStyle: "1",
                                paddingTop: "28",
                                paddingBottom: "0",
                                paddingRight: "24",
                                paddingLeft: "24",
                                cornerRadius: 4,
                                useIcon: "0",
                                field21_1: {
                                    origBtnJumpUrl: "",
                                    wxad_guide_group_id: ""
                                },
                                id: "widget_1638502917231_4",
                                layoutHeight: "60",
                                layoutWidth: "152"
                            }]
                        }
                    }]
                },
                wxad_IsSubNode: "1"
            },
            {
                layoutHeight: "542",
                layoutWidth: "324",
                type: "104",
                borderColor: "#E5E5E5",
                bgColor: "#FFFFFF",
                borderSize: "1",
                cornerRadius: "8",
                paddingLeft: '22',
                layoutItems: {
                    componentItem: [{
                        jumpMode: "btn_jump",
                        layoutHeight: "542",
                        layoutWidth: "324",
                        type: "103",
                        subType: "0",
                        descType: "text",
                        layoutItems: {
                            componentItem: [{
                                name: "图片",
                                layoutHeight: "300",
                                pureImageUrl: "",
                                type: "41",
                                imageMd5: "",
                                layoutWidth: "300",
                                paddingLeft: "12",
                                paddingRight: "12",
                                paddingTop: "12",
                                cornerRadius: "4",
                                materialId: '',
                                wxad_IsSubNode: "1"
                            }, {
                                name: "标题",
                                content: "",
                                fontColor: "#353535",
                                fontSize: "32",
                                layoutHeight: "44",
                                layoutWidth: "272",
                                maxLines: "1",
                                paddingLeft: "24",
                                paddingTop: "16",
                                showType: "1",
                                type: "1",
                                wxad_IsSubNode: "1"
                            }, {
                                name: "描述",
                                content: "",
                                fontColor: "#4D4D4D",
                                fontSize: "24",
                                layoutHeight: "40",
                                layoutWidth: "272",
                                paddingLeft: "24",
                                paddingTop: "8",
                                type: "1",
                                wxad_IsSubNode: "1"
                            }, {
                                widgetTypeV2: "gh",
                                widgetType: "button",
                                type: "21",
                                name: "商品关注公众号",
                                btnTitle: "关注公众号",
                                subType: "17",
                                fontSize: "26",
                                fontColor: "#FFFFFF",
                                btnType: "0",
                                borderSize: "0",
                                btnHeight: "60",
                                btnBgColorTheme: "#07C160",
                                btnBorderColorTheme: "#FFFFFF",
                                btnFontType: "0",
                                btnStyle: "1",
                                paddingTop: "28",
                                paddingBottom: "0",
                                paddingRight: "24",
                                paddingLeft: "24",
                                cornerRadius: 4,
                                useIcon: "0",
                                field21_1: {
                                    origBtnJumpUrl: "",
                                    wxad_guide_group_id: ""
                                },
                                id: "widget_1638502917231_4",
                                layoutHeight: "60",
                                layoutWidth: "152"
                            }]
                        }
                    }]
                },
                wxad_IsSubNode: "1"
            }]
    }
}

// 图文复合组件按钮类型参数
// 单个
// 跳转链接 104
export const jumpLink104 = {
    widgetTypeV2: "link",
    widgetType: "button",
    borderSize: "0",
    btnBgColorTheme: "#07C160",
    btnBorderColorTheme: "#FFFFFF",
    btnFontType: "0",
    btnHeight: "60",
    btnJumpUrl: "",
    btnStyle: "1",
    btnTitle: "了解详情",
    btnType: "0",
    fontColor: "#FFFFFF",
    fontSize: "26",
    name: "跳转链接",
    origBtnJumpUrl: "",
    layoutWidth: "152",
    layoutHeight: "60",
    paddingBottom: "0",
    paddingLeft: "0",
    paddingRight: "0",
    paddingTop: "28",
    subType: "0",
    mpJumpType: "1",
    type: "21",
    cornerRadius: "4"
}
// 跳转链接 103
export const jumpLink103 = {
    widgetTypeV2: "link",
    widgetType: "button",
    borderSize: "0",
    btnBgColorTheme: "#07C160",
    btnBorderColorTheme: "#FFFFFF",
    btnFontType: "0",
    btnHeight: "60",
    btnJumpUrl: "",
    btnStyle: "1",
    btnTitle: "了解详情",
    btnType: "0",
    fontColor: "#FFFFFF",
    fontSize: "26",
    name: "跳转链接",
    origBtnJumpUrl: "",
    layoutWidth: "152",
    layoutHeight: "60",
    paddingBottom: "32",
    paddingLeft: "24",
    paddingRight: "24",
    paddingTop: "28",
    subType: "0",
    mpJumpType: "1",
    type: "21",
    cornerRadius: "4"
}

// 关注公众号 104
export const jumpGh104 = {
    widgetTypeV2: "gh",
    widgetType: "button",
    type: "21",
    name: "商品关注公众号",
    btnTitle: "关注公众号",
    subType: "17",
    fontSize: "26",
    fontColor: "#FFFFFF",
    btnType: "0",
    borderSize: "0",
    btnHeight: "60",
    btnBgColorTheme: "#07C160",
    btnBorderColorTheme: "#FFFFFF",
    btnFontType: "0",
    btnStyle: "1",
    paddingTop: "28",
    paddingBottom: "0",
    paddingRight: "0",
    paddingLeft: "0",
    cornerRadius: 4,
    useIcon: "0",
    field21_1: {
        origBtnJumpUrl: "",
        wxad_guide_group_id: ""
    },
    id: "widget_1634536343386_3",
    layoutWidth: "152",
    layoutHeight: "60"
}
// 关注公众号 103
export const jumpGh103 = {
    widgetTypeV2: "gh",
    widgetType: "button",
    type: "21",
    name: "商品关注公众号",
    btnTitle: "关注公众号",
    subType: "17",
    fontSize: "26",
    fontColor: "#FFFFFF",
    btnType: "0",
    borderSize: "0",
    btnHeight: "60",
    btnBgColorTheme: "#07C160",
    btnBorderColorTheme: "#FFFFFF",
    btnFontType: "0",
    btnStyle: "1",
    paddingTop: "28",
    paddingBottom: "0",
    paddingRight: "24",
    paddingLeft: "24",
    cornerRadius: 4,
    useIcon: "0",
    field21_1: {
        origBtnJumpUrl: "",
        wxad_guide_group_id: ""
    },
    id: "widget_1638502917231_4",
    layoutHeight: "60",
    layoutWidth: "152"
}

// 商品添加商家微信 104
export const jumpWxAuto104 = {
    widgetTypeV2: "enterprise_wx_auto",
    widgetType: "button",
    type: "21",
    name: "商品添加商家微信",
    btnTitle: "联系商家",
    subType: "15",
    fontSize: "26",
    fontColor: "#FFFFFF",
    btnType: "0",
    borderSize: "0",
    btnHeight: "60",
    btnBgColorTheme: "#07C160",
    btnBorderColorTheme: "#FFFFFF",
    btnFontType: "0",
    btnStyle: "1",
    paddingTop: "28",
    paddingBottom: "0",
    paddingRight: "0",
    paddingLeft: "0",
    cornerRadius: 4,
    useIcon: "0",
    mpJumpType: "1",
    origBtnJumpUrl: "",//"https://wxa.wxs.qq.com/mptemplate/rtx/index.html?corpid=wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g&groupid=215982&_=1646277580091",
    btnJumpUrl: "",
    corpid: "",//"wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g",
    groupid: null,//215982,
    h5_config_id: "",//"6eeeabc55c3087ea251505ec8560371e",
    wxapp_config_id: "",//"bee1788a8cbf0bbab69d3bfc5917231e",
    qrUrl: "https://wework.qpic.cn/wwpic/87591_JQGte4L-Tc21VZW_1645432835/0",
    needUpdateQrUrl: 0,
    qrExtInfo: "",//"{\"qrType\":1,\"corpid\":\"wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g\",\"groupid\":215982,\"useSet\":0}",
    serviceType: "1",
    chatGroupName: "", //"单人客服-木木",
    id: "widget_1646277501989_6",
    layoutWidth: "152",
    layoutHeight: "60"
}
// 商品添加商家微信 103
export const jumpWxAuto103 = {
    widgetTypeV2: "enterprise_wx_auto",
    widgetType: "button",
    type: "21",
    name: "商品添加商家微信",
    btnTitle: "联系商家",
    subType: "15",
    fontSize: "26",
    fontColor: "#FFFFFF",
    btnType: "0",
    borderSize: "0",
    btnHeight: "60",
    btnBgColorTheme: "#07C160",
    btnBorderColorTheme: "#FFFFFF",
    btnFontType: "0",
    btnStyle: "1",
    paddingTop: "28",
    paddingBottom: "0",
    paddingRight: "24",
    paddingLeft: "24",
    cornerRadius: 4,
    useIcon: "0",
    mpJumpType: "1",
    origBtnJumpUrl: "",//"https://wxa.wxs.qq.com/mptemplate/rtx/index.html?corpid=wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g&groupid=215982&_=1646279359946",
    btnJumpUrl: "",
    corpid: "",//"wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g",
    groupid: null, //215982,
    h5_config_id: "", //"6eeeabc55c3087ea251505ec8560371e",
    wxapp_config_id: "",//"bee1788a8cbf0bbab69d3bfc5917231e",
    qrUrl: "https://wework.qpic.cn/wwpic/87591_JQGte4L-Tc21VZW_1645432835/0",
    needUpdateQrUrl: 0,
    qrExtInfo: "", //"{\"qrType\":1,\"corpid\":\"wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g\",\"groupid\":215982,\"useSet\":0}",
    serviceType: "1",
    chatGroupName: "",//"单人客服-木木",
    id: "widget_1646279296521_3",
    layoutHeight: "60",
    layoutWidth: "152"
}

// 全局跳转 跳转链接 104
export const btModelJumpLink = {
    widgetTypeV2: "link",
    widgetType: "button",
    borderSize: "0",
    btnBgColorTheme: "clear",
    btnBorderColorTheme: "clear",
    btnFontType: "0",
    btnHeight: "228",
    btnJumpUrl: "",
    btnStyle: "1",
    btnTitle: "",
    btnType: "0",
    fontColor: "clear",
    fontSize: "26",
    name: "跳转链接",   // 
    origBtnJumpUrl: "",
    layoutWidth: "750",
    layoutHeight: "228",
    paddingBottom: "0",
    paddingLeft: "0",
    paddingRight: "0",
    paddingTop: "0",
    subType: "0",
    fengyeId: "0",
    fengyeUrl: "",
    mpJumpType: "1",
    type: "21",
    cornerRadius: "4"
}
// 全局跳转 跳转链接 103
export const btModelJumpLink103 = {
    widgetTypeV2: "link",
    widgetType: "button",
    borderSize: "0",
    btnBgColorTheme: "clear",
    btnBorderColorTheme: "clear",
    btnFontType: "0",
    btnHeight: "542",
    btnJumpUrl: "",
    btnStyle: "1",
    btnTitle: "",
    btnType: "0",
    fontColor: "clear",
    fontSize: "26",
    name: "跳转链接",
    origBtnJumpUrl: "",
    layoutWidth: "320",
    layoutHeight: "542",
    paddingBottom: "32",
    paddingLeft: "30",
    paddingRight: "24",
    paddingTop: "0",
    subType: "0",
    fengyeId: "0",
    fengyeUrl: "",
    mpJumpType: "1",
    type: "21",
    cornerRadius: "4"
}
// 全局跳转 关注公众号 104
export const btModelJumpGh = {
    widgetTypeV2: "gh",
    widgetType: "button",
    type: "21",
    name: "商品关注公众号",
    btnTitle: "",
    subType: "17",
    wxad_guide_group_status: false,
    fontSize: "26",
    fontColor: "clear",
    btnType: "0",
    borderSize: "0",
    btnHeight: "228",
    btnBgColorTheme: "clear",
    btnBorderColorTheme: "clear",
    btnFontType: "0",
    btnStyle: "1",
    paddingTop: "0",
    paddingBottom: "0",
    paddingRight: "0",
    paddingLeft: "0",
    cornerRadius: 4,
    useIcon: "0",
    field21_1: {
        origBtnJumpUrl: "",
        wxad_guide_group_id: ""
    },
    id: "widget_1634288817126_3",
    layoutWidth: "750",
    layoutHeight: "228"
}
// 全局跳转 关注公众号 103
export const btModelJumpGh103 = {
    widgetTypeV2: "gh",
    widgetType: "button",
    type: "21",
    name: "商品关注公众号",
    btnTitle: "",
    subType: "17",
    wxad_guide_group_status: false,
    fontSize: "26",
    fontColor: "clear",
    btnType: "0",
    borderSize: "0",
    btnHeight: "542",
    btnBgColorTheme: "clear",
    btnBorderColorTheme: "clear",
    btnFontType: "0",
    btnStyle: "1",
    paddingTop: "0",
    paddingBottom: "0",
    paddingRight: "24",
    paddingLeft: "24",
    cornerRadius: 4,
    useIcon: "0",
    field21_1: {
        origBtnJumpUrl: "",
        wxad_guide_group_id: ""
    },
    id: "widget_1638759421426_2",
    layoutHeight: "542",
    layoutWidth: "320"
}

// 全局跳转 商品添加商家微信 104
export const btModelJumpWxAuto = {
    widgetTypeV2: "enterprise_wx_auto",
    widgetType: "button",
    type: "21",
    name: "商品添加商家微信",
    btnTitle: "",
    subType: "15",
    fontSize: "26",
    fontColor: "clear",
    btnType: "0",
    borderSize: "0",
    btnHeight: "228",
    btnBgColorTheme: "clear",
    btnBorderColorTheme: "clear",
    btnFontType: "0",
    btnStyle: "1",
    paddingTop: "0",
    paddingBottom: "0",
    paddingRight: "0",
    paddingLeft: "0",
    cornerRadius: 4,
    useIcon: "0",
    mpJumpType: "1",
    origBtnJumpUrl: "",//"https://wxa.wxs.qq.com/mptemplate/rtx/index.html?corpid=wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g&groupid=215982&_=1646277580092",
    btnJumpUrl: "",
    corpid: "",//"wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g",
    groupid: null,//215982,
    h5_config_id: "",//"6eeeabc55c3087ea251505ec8560371e",
    wxapp_config_id: "", //"bee1788a8cbf0bbab69d3bfc5917231e",
    qrUrl: "https://wework.qpic.cn/wwpic/87591_JQGte4L-Tc21VZW_1645432835/0",
    needUpdateQrUrl: 0,
    qrExtInfo: "", //"{\"qrType\":1,\"corpid\":\"wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g\",\"groupid\":215982,\"useSet\":0}",
    serviceType: "1",
    chatGroupName: "", //"单人客服-木木",
    id: "",  //"widget_1646277501989_6",
    layoutWidth: "750",
    layoutHeight: "228"
}
// 全局跳转 商品添加商家微信 103
export const btModelJumpWxAuto103 = {
    widgetTypeV2: "enterprise_wx_auto",
    widgetType: "button",
    type: "21",
    name: "商品添加商家微信",
    btnTitle: "",
    subType: "15",
    fontSize: "26",
    fontColor: "clear",
    btnType: "0",
    borderSize: "0",
    btnHeight: "542",
    btnBgColorTheme: "clear",
    btnBorderColorTheme: "clear",
    btnFontType: "0",
    btnStyle: "1",
    paddingTop: "0",
    paddingBottom: "0",
    paddingRight: "24",
    paddingLeft: "24",
    cornerRadius: 4,
    useIcon: "0",
    mpJumpType: "1",
    origBtnJumpUrl: "",//"https://wxa.wxs.qq.com/mptemplate/rtx/index.html?corpid=wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g&groupid=215982&_=1646279359946",
    btnJumpUrl: "",
    corpid: "",//"wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g",
    groupid: null,//215982,
    h5_config_id: "",//"6eeeabc55c3087ea251505ec8560371e",
    wxapp_config_id: "", //"bee1788a8cbf0bbab69d3bfc5917231e",
    qrUrl: "https://wework.qpic.cn/wwpic/87591_JQGte4L-Tc21VZW_1645432835/0",
    needUpdateQrUrl: 0,
    qrExtInfo: "", //"{\"qrType\":1,\"corpid\":\"wp7eXwDAAA4NWRcT0uN05GKQesjmgB0g\",\"groupid\":215982,\"useSet\":0}",
    serviceType: "1",
    chatGroupName: "", //"单人客服-木木",
    id: "", //"widget_1646279296521_3",
    layoutHeight: "542",
    layoutWidth: "320"
}